<?php

declare (strict_types=1);
namespace GDAVSCOPE\Amp\Process\Internal;

use GDAVSCOPE\Amp\ForbidCloning;
use GDAVSCOPE\Amp\ForbidSerialization;
/** @internal  */
final class ProcessContext
{
    use ForbidCloning;
    use ForbidSerialization;
    public function __construct(public readonly ProcessHandle $handle, public readonly ProcessStreams $streams)
    {
    }
}
